header {
    background-color:#fff;
    padding:20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

body{
    margin:auto;
}
.gridcontainer {
    display: grid;
    grid-template-columns: 50% 50%;
    gap: 10px;
    padding: 10px;
    width: 100%;
}
.gridcontainer > div {
    background-color: rgba(255, 255, 255, 0.8);
    text-align: center;
    font-size: 30px;
}  

.logo{
    text-decoration: none;
    text-align: left;
    font-family: Helvetica, sans-serif;
    font-weight: bold;
    font-size: 35pt;
    color: rgba(75, 104, 254, 1);
}

.navigazione{
    justify-self: right;   
}
nav ul{
    display: flex;
    list-style-type:none;
}
nav a:hover {
    color: rgba(143, 161, 255, 1);
}
a.sinistra, a.destra {
    font-family: Helvetica, sans-serif;
    font-weight: bold;
    font-size: 12pt;
    color: rgba(75, 104, 254, 1);
    text-decoration: none;
}
a.sinistra {
    border-right: 1px solid #000;
    padding-right: 10px;
}
a.destra {  
    padding-left: 10px;   
}

/*fine header*/

.gridcontainer2 {
    display: grid;
    grid-template-columns: 50% 50%;
    gap: 2.5%;
    padding: 2.5vw;
    max-width: 100%;
}
.gridcontainer2 > div {
    text-align: center;
    font-size: 30px;
}  

.testowwh {
    text-align: right;
    font-family: 'Hepta Slab', serif;
    font-size: 67pt;
    color: rgb(229, 168, 27);
    margin: 0;
    line-height: 85px;
}

.indiceartisti {
    font-family: Helvetica, sans-serif;
    font-size: 24pt;
    color: rgb(129, 146, 231);
    padding: 0;
    text-align: right;
    white-space: nowrap;
    list-style-type: none;
    text-decoration: none;
}
.indiceartisti :visited {
    color: rgba(75, 104, 254, 1);
   }
.indiceartisti :hover {
    color: rgb(129, 146, 231);
  }

#artista{
    text-decoration: none;
}

img {
    max-width: 510px;
    height: 510px;
}

.wrapper {
    width: 510px;
    height: 484px;
}
  
.slider {
    max-width: 510px;
    height: 560px;
    outline: 0 solid black;
    overflow: hidden; /*tener conto*/
}
.slides {
    transition: all 800ms cubic-bezier(0.770, 0.000, 0.175, 1.000);
    width: 1000%;
}
.slide {
    position: relative;
    float: left;
    width: 510px;
    height: 513px;
}
  
  
input[type="radio"] {
    display: none;
}
  
.slider .nav {
    justify-content: left;
    text-align: left;
    height: 77vh;
    max-width: 58vw;
    padding: 1%;
}
  
label.bottom {
    background: rgb(237, 157, 157);
    transition: all 800ms cubic-bezier(0.770, 0.000, 0.175, 1.000);
    display: inline-block;
    cursor: pointer;
    width: 2.0vw;
    height: 10px;
    border-radius: 5px;
}
  #slide0:checked ~ .nav > label[for="slide0"],
  #slide1:checked ~ .nav > label[for="slide1"],
  #slide2:checked ~ .nav > label[for="slide2"],
  #slide3:checked ~ .nav > label[for="slide3"],
  #slide4:checked ~ .nav > label[for="slide4"],
  #slide5:checked ~ .nav > label[for="slide5"],
  #slide6:checked ~ .nav > label[for="slide6"],
  #slide7:checked ~ .nav > label[for="slide7"],
  #slide8:checked ~ .nav > label[for="slide8"],
  #slide9:checked ~ .nav > label[for="slide9"] {
    background: rgb(229, 23, 23);
    transition: all 800ms cubic-bezier(0.770, 0.000, 0.175, 1.000);
}
  #slide0:checked ~ .slides { margin-left: 0; }
  #slide1:checked ~ .slides { margin-left: -100%; }
  #slide2:checked ~ .slides { margin-left: -200%; }
  #slide3:checked ~ .slides { margin-left: -300%; }
  #slide4:checked ~ .slides { margin-left: -400%; }
  #slide5:checked ~ .slides { margin-left: -500%; }
  #slide6:checked ~ .slides { margin-left: -600%; }
  #slide7:checked ~ .slides { margin-left: -700%; }
  #slide8:checked ~ .slides { margin-left: -800%; }
  #slide9:checked ~ .slides { margin-left: -900%; }

/*fine main*/
/*inizio footer*/

.gridcontainer3 {
    display: grid;
    grid-template-columns: 50% 50%;
    gap: 2.5%;
    padding: 10px;
}
.gridcontainer3 > div {
    text-align: center;
    font-size: 30px;
}  

.logofooter{
    text-decoration: none;
    text-align: left;
    font-family: Helvetica, sans-serif;
    font-weight: bold;
    font-size: 35pt;
    color: white;
}

.nomifooter{
    padding-top: 3.5%;
    margin: auto;
    text-align: right;
    width: 35vw;
}
.contenitorefooter{
    text-align: right;
    justify-items: right; 
    width: 40vw;
}
#fine{
    padding-left: 2%; 
    text-decoration: none;
    font-family: Helvetica, sans-serif;
    font-weight: bold;
    font-size: 2.0vw;
    color: white;
}
footer{
    background-color: rgba(168, 181, 250, 1);
    height: 100%;
    width: 100%;
    margin-top: 7%;
}
  
@media (max-width: 1000px) { /*responsive pc*/
    /*header*/
    header{
        padding: 2vh;
        height: 2vh;
    }
    .gridcontainer{
        align-items: center;
    }
    .logo{
        font-size: 4.5vw;
    }
    a.sinistra, a.destra {
        font-family: Helvetica, sans-serif;
        font-weight: bold;
        font-size: 2vw;
    }
    a.sinistra {
        border-right: 1px solid #000;
        padding-right: 10px;
    }
    a.destra {  
        padding-left: 10px;   
    }
    /*main*/
    .gridcontainer2 {
        display: grid;
        grid-template-columns: 50%;
        padding: 10px;
        justify-content: center;
        gap: 2.5%;
        padding: 10px;
        max-width: 100%;
    }
      
    .gridcontainer2 > div {
        text-align: center;
        font-size: 30px;
        max-width:100%;
    } 
    .testowwh {
        font-size: 10vw;
        line-height: 10vw;
    } 
    .indiceartisti {
        font-family: Helvetica, sans-serif;
        font-size: 4vw;
        padding: 0;
        text-align: right;
        white-space: nowrap;
        list-style-type: none;
    }
    img {
        max-width: 65vw;
        height: 50vh;
    }
    .wrapper{
        width: 60vw;
        height: 55vh;
    }
    .slide {
        position: relative;
        float: left;
        width: 65vw;
        height: 65vh;
    }
    .slider {
        width: 65vw;
        height: 60vh;
        outline: 0 solid black;
        overflow: hidden; /*tener conto*/
        justify-content: left;

    }
    .slide {
        position: relative;
        float: left;
        width: 65vw;
        height: 50vh;
    }
    .slider .nav {
        justify-content: left;
        text-align: left;
        top: 550px;
        width: 65vw;
      }
      
      label.bottom {

        transition: all 800ms cubic-bezier(0.770, 0.000, 0.175, 1.000);
        display: inline-block;
        cursor: pointer;
        width: 2.0vw;
        height: 10px;
        border-radius: 5px;
      }
      .slider .nav {
        justify-content: left;
        text-align: left;
        top: 550px;
        width: 60vw;
      }

      /*footer*/
      .logofooter{
        text-decoration: none;
        text-align: left;
        font-family: Helvetica, sans-serif;
        font-weight: bold;
        font-size: 4.5vw;
        color: white;
    }
}

@media (max-width: 420px) { /*responsive smartphone*/
    /*header*/
    header{
        padding: 2vh;
        height: 2vh;
    }
    .gridcontainer{
        align-items: center;
    }
    .logo{
        font-size: 4.5vw;
    }
    a.sinistra, a.destra {
        font-family: Helvetica, sans-serif;
        font-weight: bold;
        font-size: 2vw;
        text-decoration: none;
        white-space: nowrap;
    }
    a.sinistra {
        border-right: 1px solid #000;
        padding-right: 10px;
    }
    a.destra {  
        padding-left: 10px;   
    }
    /*main*/
    .gridcontainer2 {
        display: grid;
        grid-template-columns: 50%;
        padding: 10px;
        justify-content: center;
        gap: 2.5%;
        padding: 10px;
        max-width: 100%;
    }
      
    .gridcontainer2 > div {
        text-align: center;
        font-size: 30px;
        max-width:100%;
    } 
    .testowwh {
        font-size: 10vw;
        line-height: 10vw;
    } 
    .indiceartisti {
        font-family: Helvetica, sans-serif;
        font-size: 4vw;
        padding: 0;
        text-align: right;
        white-space: nowrap;
        list-style-type: none;
    }
    img {
        max-width: 55vw;
        max-height: 26vh;
    }
    .wrapper{
        max-width: 45vw;
        max-height: 32vh;
    }
    .slide {
        position: relative;
        float: left;
        max-width: 55vw;
        max-height: 24.5vh;
    }
    .slider {
        max-width: 55vw;
        max-height: 32vh;
        outline: 0 solid black;
        overflow: hidden; /*tener conto*/
        justify-content: left;
    }
    .slider .nav {
        justify-content: left;
        text-align: left;
        max-width: 50vw;
        padding: 0%;
      }
      
      
      label.bottom {
        transition: all 800ms cubic-bezier(0.770, 0.000, 0.175, 1.000);
        display: inline-block;
        cursor: pointer;
        max-width: 3.0vw;
        height: 7px;
        border-radius: 5px;
      }
   

      /*footer*/
    .logofooter{
        text-decoration: none;
        text-align: left;
        font-family: Helvetica, sans-serif;
        font-weight: bold;
        font-size: 4.5vw;
        color: white;
    }
  
}
